﻿.MenuConditionContainer {
	display: flex;
}

.CategoryMenuContainer {
	background-color: #ffffff;
	box-shadow: 0px 10px 30px 0px #00000026;
}

.CategoryMenuHeader {
	position: relative;
	font-size: 130%;
	font-weight: bold;
	background-color: #FFFFFF;
	margin-bottom: 10px;
	padding: 10px 10px 10px 30px;
}

	.CategoryMenuHeader::after {
		content: '';
		position: absolute;
		right: 0;
		bottom: 0;
		width: calc(100% - 30px);
		border-bottom: 1px solid #C5CDE2;
	}

.InquireConditionContainer {
	flex: 1 1 auto;
    background-color: #fff;
}

.Query .PeriodContainer {
	margin: 0;
}

	.Query .PeriodContainer .DateNote {
		display: block;
		font-size: 90%;
		color: #0D6EC7;
		margin-left: 5px;
	}

body.En .Query .PeriodContainer .DateNote {
	margin-top: 5px;
	font-size: 85%;
	line-height: 1.3;
}

.Query .FeatureContainer {
	margin-top: 10px;
}

.Query .ExportContainer {
	position: relative;
}

.Query .ExportItemContainer {
	position: absolute;
	min-width: 10rem;
	inset: 0px auto auto 0px;
	transform: translate(10px, 31px);
	padding: 0.5rem 0;
	background-color: #fff;
	border: 1px solid rgba(0, 0, 0, 0.175);
	border-radius: 0.375rem;
	z-index: 3;
}

	.Query .ExportItemContainer .ExportItem {
		display: block;
		padding: 0.25rem 1rem;
		clear: both;
		font-weight: 400;
		color: #212529;
		text-align: inherit;
		text-decoration: none;
		white-space: nowrap;
		background-color: transparent;
		border: 0;
		font-size: 100%;
	}

		.Query .ExportItemContainer .ExportItem:hover {
			color: #212529;
			background-color: #f8f9fa;
		}

.ItemDimensionGroupContainer {
	display: flex;
	justify-content: space-between;
	margin-top: 10px;
}

	.ItemDimensionGroupContainer .IconTitle {
		display: block;
		font-weight: bold;
		padding: 10px;
		background-color: #ffffff;
		border-bottom: 1px solid #DBE0ED;
	}

	.ItemDimensionGroupContainer .ItemContainer,
	.ItemDimensionGroupContainer .DimensionContainer {
		width: calc(50% - 5px);
		background-color: #f3f2e9;
		border: 1px solid #dbdbdb;
		border-radius: 10px;
		overflow: auto;
	}

		.ItemDimensionGroupContainer .ItemContainer .OuterContainer,
		.ItemDimensionGroupContainer .DimensionContainer .OuterContainer {
			padding: 15px;
		}

		.ItemDimensionGroupContainer .ItemContainer .ItemNote {
			display: block;
			font-size: 85%;
			color: #0D6EC7;
			margin-left: 16px;
		}

body.En .ItemDimensionGroupContainer .ItemContainer .ItemNote {
	font-size: 85%;
	line-height: 1.3;
}

.ItemDimensionGroupContainer .DimensionGroup {
	background: #FFFFFF;
	box-shadow: 0px 2px 12px 0px #C5C7D540;
	margin: 10px 0;
	padding: 10px;
	border-radius: 5px;
}

	.ItemDimensionGroupContainer .DimensionGroup .DimensionCount {
		display: inline-block;
		color: #99ABCB;
		font-size: 85%;
	}

	.ItemDimensionGroupContainer .DimensionGroup.NotSelect .SelectButton,
	.ItemDimensionGroupContainer .DimensionGroup.NotSelect .DimensionCount {
		display: none;
	}

.ItemGroupOuterContainer {
    background: #FFFFFF;
    margin: 10px 0;
    padding: 10px;
    border-radius: 5px;
}

.TabContentContiner .TabContiner .ItemGroupOuterContainer {
    margin: 10px;
    box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.1);
}

.ItemGroupInnerContainer {
    background: #FFFFFF;
    box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.1);
    margin: 10px 0;
    padding: 15px;
    border-radius: 5px;
}

    .ItemGroupInnerContainer .DimensionGroup {
        margin: 10px 15px;
        padding: 10px 15px;
        box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.1);
    }

.IconButtonContainer {
	color: #153251;
	font-weight: bold;
	display: inline-block;
	background-color: #F1F3F8;
	margin: 10px 5px 0;
	border-radius: 11px;
	position: relative;
}

	.IconButtonContainer .IconButton {
		padding: 10px 20px 10px 50px;
		background-color: transparent;
		border-radius: 11px;
		position: relative;
		z-index: 1;
	}

	.IconButtonContainer::before {
		content: '';
		position: absolute;
		left: 10px;
		top: calc((100% - 35px) / 2);
		width: 35px;
		height: 35px;
		background-repeat: no-repeat;
		background-position: left center;
	}

	.IconButtonContainer.Back::before {
		content: '\e632';
		font-family: 'FontAwesome';
		color: #566492;
		width: 30px;
		height: 30px;
		left: 20px;
		top: calc((100% - 20px) / 2);
	}

	.IconButtonContainer.Reset::before {
		background-image: url(../images/icon-table.png);
	}

	.IconButtonContainer.TransposeGroup::before {
		background-image: url(../images/icon-grid-1x2.png);
	}

	.IconButtonContainer.Export::before {
		background-image: url(../images/icon-folder-symlink.png);
	}

.CodeContainer {
	/*overflow: auto;*/
}

	.CodeContainer .SearchContainer {
		margin: 10px;
	}

	.CodeContainer .Group {
		margin: 10px 0;
		background-color: #f3f2e9;
		border-radius: 5px;
		border: 1px solid #dbdbdb;
		box-shadow: 0px 2px 12px 0px #C5C7D540;
	}

	.CodeContainer .SelectAll {
		font-size: 80%;
		color: #ffffff;
		white-space: nowrap !important;
		border-radius: 11px;
		background: #7c96a8;
		margin-left: 5px;
		padding: 3px 9px;
		box-shadow: 0px 2px 6px 0px #A5A5A540;
		user-select: none;
		cursor: pointer;
	}

	.CodeContainer .Group .Code:not(.Depth_1) .SelectAll {
		color: #697FA7;
		background: transparent;
		border: 1px solid #7c96a8;
	}

	.CodeContainer .Code {
		position: relative;
		white-space: nowrap;
		min-height: 27px;
		padding: 5px 0;
	}

		.CodeContainer .Code.Depth_1 {
			position: relative;
			white-space: nowrap;
			min-height: 27px;
			background: #FFFFFF;
			box-shadow: 0px 2px 12px 0px #C5C7D540;
			margin: 10px 0;
			padding: 10px;
			border-radius: 5px;
		}

	.CodeContainer .Group .Code.Depth_1 {
		margin: 0;
		padding: 10px 0px;
		border-bottom-left-radius: 0px;
		border-bottom-right-radius: 0px;
	}

body.En .CodeContainer .Code .SelectAll {
	margin-left: 3px;
}

.CodeContainer .Code.Hide {
	display: none !important;
}

.CodeContainer .Code.Wrap {
	display: flex;
	/*align-items: baseline;*/
}

.CodeContainer .Code.AddLine.FirstCode:before {
	content: '';
	position: absolute;
	top: calc((25px + 1px) / 2);
	left: -7px;
	width: 1px;
	height: 8px;
	border-left: 1px solid #9EADC9;
}

.CodeContainer .Code.Wrap.AddLine.FirstCode:before {
	height: calc(100% - 16px);
}

.CodeContainer .Code.AddLine.LastChild:before {
	content: '';
	position: absolute;
	top: 0px;
	left: -7px;
	width: 1px;
	height: 8px;
	height: calc(37px / 2);
	border-left: 1px solid #9EADC9;
}

.CodeContainer .Code.AddLine.FirstCode.LastChild:before {
	border-left: none;
}

.CodeContainer .Code.AddLine:not(.FirstCode):not(.LastChild):before {
	content: '';
	position: absolute;
	top: 0px;
	left: -7px;
	width: 1px;
	border-left: 1px solid #9EADC9;
	height: 16px;
	height: 100%;
}

.CodeContainer .Code.Wrap.AddLine:not(.FirstCode):not(.LastChild):before {
	height: 100%;
}

.CodeContainer .Code.AddLine:after {
	content: '';
	position: absolute;
	top: calc((37px - 1px) / 2);
	left: -7px;
	width: 8px;
	height: 1px;
	border-top: 1px solid #9EADC9;
}

.CodeContainer .Code.AddLine.Depth_1:before,
.CodeContainer .Code.AddLine.Depth_1:after {
	display: none;
}

.CodeContainer .Code.Depth_1 {
	padding-left: 20px !important;
}

.CodeContainer .Code.Depth_2 {
	margin-left: 35px;
}

.CodeContainer .Code.Depth_3 {
	margin-left: 50px;
}

.CodeContainer .Code.Depth_4 {
	margin-left: 65px;
}

.CodeContainer .Code.Depth_5 {
	margin-left: 80px;
}

.CodeContainer .Code.Depth_6 {
	margin-left: 95px;
}

.CodeContainer .Code .VirtialLine {
	content: '';
	position: absolute;
	top: 0px;
	left: -7px;
	width: 1px;
	border-left: 1px solid #9EADC9;
	height: 16px;
	height: 100%;
	user-select: none;
}

.CodeContainer .Code.Wrap .VirtialLine {
	height: 100%;
}

.CodeContainer .Code .VirtialLine.DepthMinus_1 {
	left: -22px;
}

.CodeContainer .Code .VirtialLine.DepthMinus_2 {
	left: -37px;
}

.CodeContainer .Code .VirtialLine.DepthMinus_3 {
	left: -52px;
}

.CodeContainer .Code .VirtialLine.DepthMinus_4 {
	left: -67px;
}

.CodeContainer .Code .VirtialLine.DepthMinus_5 {
	left: -72px;
}


.CodeContainer .Code > label {
	white-space: nowrap;
}

.CodeContainer .Code.Wrap > label {
	white-space: normal;
}

.CodeContainer .Code .FoldingSwitch {
	border: 1px solid #9EADC9;
	background-color: white;
	color: #9EADC9;
	width: 10px;
	height: 10px;
	position: absolute;
	left: -11px;
	top: calc((37px - 10px) / 2);
	z-index: 1;
	cursor: pointer;
	user-select: none;
}

.CodeContainer .Code.Depth_1 .FoldingSwitch {
	left: 8px;
	top: 18px;
}

.CodeContainer .Code .FoldingSwitch::before {
	content: '+';
	font-size: 85%;
	display: flex;
	height: 100%;
	align-items: center;
	justify-content: center;
}

.CodeContainer .Code .FoldingSwitch.Open::before {
	content: '-';
}

.CodeContainer .Code input[type='checkbox'] {
	margin: 3px 3px 0;
    flex: 0 0 auto;
}

@media screen and (min-width:992px) {
	.col-lg-relative-top-50 .MenuConditionContainer {
		position: relative;
		top: -45px;
	}

	.CategoryMenuContainer {
		flex: 0 0 330px;
		margin-right: 30px;
	}
}

@media screen and (max-width:991px) {
	.MenuConditionContainer {
		flex-direction: column;
	}
}

@media screen and (max-width:767px) {
    .ItemGroupInnerContainer {
        padding: 7.5px;
    }

        .ItemGroupInnerContainer .DimensionGroup {
            margin: 5px 7.5px;
        }
}
